Open CASCADE Technology: PNaming_Name Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PNaming_Name Class Reference

`#include <PNaming_Name.hxx>`

Inheritance diagram for PNaming_Name:
[legend]

## Public Member Functions
| PNaming_Name ()
void | Type (const Standard_Integer T)
void | ShapeType (const Standard_Integer T)
void | Arguments (const Handle< PNaming_HArray1OfNamedShape > &Args)
void | StopNamedShape (const Handle< PNaming_NamedShape > &arg)
Standard_Integer | Type () const
Standard_Integer | ShapeType () const
Handle < PNaming_HArray1OfNamedShape > | Arguments () const
Handle< PNaming_NamedShape > | StopNamedShape () const
void | Index (const Standard_Integer I)
Standard_Integer | Index () const
| PNaming_Name (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPNaming_NamemyType () const
void | _CSFDB_SetPNaming_NamemyType (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPNaming_NamemyShapeType () const
void | _CSFDB_SetPNaming_NamemyShapeType (const Standard_Integer p)
Handle < PNaming_HArray1OfNamedShape > | _CSFDB_GetPNaming_NamemyArgs () const
void | _CSFDB_SetPNaming_NamemyArgs (const Handle< PNaming_HArray1OfNamedShape > &p)
Handle< PNaming_NamedShape > | _CSFDB_GetPNaming_NamemyStop () const
void | _CSFDB_SetPNaming_NamemyStop (const Handle< PNaming_NamedShape > &p)
Standard_Integer | _CSFDB_GetPNaming_NamemyIndex () const
void | _CSFDB_SetPNaming_NamemyIndex (const Standard_Integer p)
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PNaming_Name::PNaming_Name | ( |  | ) |

PNaming_Name::PNaming_Name | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Handle< PNaming_HArray1OfNamedShape > PNaming_Name::_CSFDB_GetPNaming_NamemyArgs | ( |  | ) | const
| inline

Standard_Integer PNaming_Name::_CSFDB_GetPNaming_NamemyIndex | ( |  | ) | const
| inline

Standard_Integer PNaming_Name::_CSFDB_GetPNaming_NamemyShapeType | ( |  | ) | const
| inline

Handle< PNaming_NamedShape > PNaming_Name::_CSFDB_GetPNaming_NamemyStop | ( |  | ) | const
| inline

Standard_Integer PNaming_Name::_CSFDB_GetPNaming_NamemyType | ( |  | ) | const
| inline

void PNaming_Name::_CSFDB_SetPNaming_NamemyArgs | ( | const Handle< PNaming_HArray1OfNamedShape > & | p | ) |
| inline

void PNaming_Name::_CSFDB_SetPNaming_NamemyIndex | ( | const Standard_Integer | p | ) |
| inline

void PNaming_Name::_CSFDB_SetPNaming_NamemyShapeType | ( | const Standard_Integer | p | ) |
| inline

void PNaming_Name::_CSFDB_SetPNaming_NamemyStop | ( | const Handle< PNaming_NamedShape > & | p | ) |
| inline

void PNaming_Name::_CSFDB_SetPNaming_NamemyType | ( | const Standard_Integer | p | ) |
| inline

void PNaming_Name::Arguments | ( | const Handle< PNaming_HArray1OfNamedShape > & | Args | ) |

Handle< PNaming_HArray1OfNamedShape > PNaming_Name::Arguments | ( |  | ) | const

void PNaming_Name::Index | ( | const Standard_Integer | I | ) |

Standard_Integer PNaming_Name::Index | ( |  | ) | const

void PNaming_Name::ShapeType | ( | const Standard_Integer | T | ) |

Standard_Integer PNaming_Name::ShapeType | ( |  | ) | const

void PNaming_Name::StopNamedShape | ( | const Handle< PNaming_NamedShape > & | arg | ) |

Handle< PNaming_NamedShape > PNaming_Name::StopNamedShape | ( |  | ) | const

void PNaming_Name::Type | ( | const Standard_Integer | T | ) |

Standard_Integer PNaming_Name::Type | ( |  | ) | const

The documentation for this class was generated from the following file:

- PNaming_Name.hxx